Bug 5751 - smbclient: cannot show ACLs on DFS
smbclient: cannot show ACLs on DFS
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Client tools
3.2.2
Other Linux
: P3 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 08:18 UTC by SATOH Fumiyasu
Modified: 2008-09-21 22:32 UTC (History)
0 users

See Also:


Attachments
Patch (434 bytes, patch)
2008-09-11 17:50 UTC, Jeremy Allison
no flags Details
Patch including libsmbclient fix. (5.68 KB, patch)
2008-09-11 18:19 UTC, Jeremy Allison
no flags Details
Patch for libsmbclient 3.0.31 (3.99 KB, patch)
2008-09-12 07:54 UTC, SATOH Fumiyasu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SATOH Fumiyasu 2008-09-11 08:18:30 UTC
smbclient 3.2.3 cannot show file ACLs on DFS-link.                                                                   

  $ smbclient -V
  Version 3.2.3
  $ smbclient //windows2003/dfs-root
  Enter username's password:
  Dmain=[EXAMPLE] OS=[Windows Server 2003 3790 Service Pack 1] Server=[Windows Server 2003 5.2]
  smb: \> showacls
  smb: \> cd dfs-link

Command "ls" shows NT_STATUS_PATH_NOT_COVERED error:

  smb: \dfs-link\> ls
  FILENAME:\dfs-link\\file.txt
  MODE:A
  SIZE:0
  MTIME:Mon Oct 16 15:41:49 2006
  display_finfo() Failed to open \dfs-test\\1: NT_STATUS_PATH_NOT_COVERED

                  40931 blocks of size 524288. 32150 blocks available

Command "ls file.txt" shows NT_STATUS_OBJECT_PATH_NOT_FOUND error:

  smb: \dfs-link\> ls file.txt
  FILENAME:\dfs-link\\file.txt
  MODE:
  SIZE:2868
  MTIME:Wed Sep  6 20:58:32 2006
  display_finfo() Failed to open \dfs-link\\file.txt: NT_STATUS_OBJECT_PATH_NOT_FOUND

                  40931 blocks of size 524288. 32150 blocks available

Command "get file.txt" is OK:

  smb: \dfs-link\> get file.txt
  getting file \dfs-link\file.txt of size 2868 as file.txt (16.3 kb/s) (average 14.8 kb/s)
Comment 1 SATOH Fumiyasu 2008-09-11 08:32:24 UTC
This problem is reproduceable by libsmbclient (smbc_getxattr()) too.
Comment 2 Jeremy Allison 2008-09-11 17:50:40 UTC
Created attachment 3568 [details]
Patch

Patch for 3.2.4
Comment 3 Jeremy Allison 2008-09-11 18:19:01 UTC
Created attachment 3569 [details]
Patch including libsmbclient fix.

Fix including code changes for libsmbclient ACL get/set over DFS. Please test before 9/19/08. Thanks !
Jeremy.
Comment 4 Jeremy Allison 2008-09-11 18:57:54 UTC
Hmmm. Actually the libsmbclient code won't work until libsmbclient has the smbc_set_credentials() call added to it (scheduled for 3.3).
Jeremy.
Comment 5 SATOH Fumiyasu 2008-09-12 07:54:00 UTC
Created attachment 3570 [details]
Patch for libsmbclient 3.0.31

I've confirmed this bug was gone on smbclient/libsmbclient 3.2.3
with your patch and libsmbclient 3.0.31 with an attached
backport patch.

Can I use the backport (from Samba 3.2 (GPLv3)) patch for
Samba 3.0.31 (GPLv2)? (Or can you commit tha patch to v3-0-* tree?)

Thank you.

(In reply to comment #4)
> Hmmm. Actually the libsmbclient code won't work until libsmbclient has the
> smbc_set_credentials() call added to it (scheduled for 3.3).

Yes, I know that. :-)
I found the bug #5580 and use the attached patch on Samba 3.0.31.
Comment 6 Jeremy Allison 2008-09-12 13:17:35 UTC
Pushed into the 3.0.x tree, thanks !
Jeremy.
Comment 7 Karolin Seeger 2008-09-21 22:32:22 UTC
Closing out bug report.

Thank you very much!